<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Example 2 - Stacking Contexts</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="example-2.css">
  </head>
  <body>
    <h1>Example 2</h1>

    <h2>Overlapping elements</h2>
    <div class="one">As this div comes first in the DOM, it is lower down in the stacking order.</div>
    <div class="two"><p>This div has -50px to 'top' property and it comes second in the DOM, so it overlaps the first div.</p> <p>To change this a <strong>stacking context</strong> needs to be added to the first div, along with a <strong>higher z-index</strong>.</p></div>

    <h2>Stacking contexts</h2>
    <p>Nesting maters! In the below, the green cirle is within the red circle. The green one has the highest z-index, but it's parent element is less than the z-index on the blue circle, so it is underneath the blue one. </p>

    <div class="container">
      <div class="red">
        <div class="green"></div>
      </div>
      <div class="blue"></div>
    </div>
  </body>
</html>
